"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClient = void 0;
const logger_1 = require("../logger");
const sentry_1 = __importDefault(require("../sentry"));
const api_client_1 = require("./api-client");
const getClient = async (config) => {
    try {
        const cl = new api_client_1.APIClient({
            host: config.apiHost,
            port: config.apiPort,
        });
        logger_1.logger.info(`Running in API mode. API address: ${config.apiHost}:${config.apiPort}`);
        return cl;
    }
    catch (e) {
        if (e instanceof Error) {
            sentry_1.default.captureException(e);
            throw new Error(`API client init failed: ${e.message}`);
        }
        throw new Error(`API client init failed: ${e}`);
    }
};
exports.getClient = getClient;
__exportStar(require("./api-client"), exports);
__exportStar(require("./types"), exports);
//# sourceMappingURL=index.js.map