"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDatabase = void 0;
const sequelize_1 = require("sequelize");
const path_1 = require("path");
const config_1 = require("./config");
const logger_1 = require("./logger");
const file = (0, path_1.join)(process.cwd(), 'db.sqlite');
exports.getDatabase = (() => {
    let database;
    return () => {
        const config = (0, config_1.getConfig)();
        if (!database) {
            database = new sequelize_1.Sequelize({
                dialect: 'sqlite',
                storage: file,
                logging: config.debug ? logger_1.logger.info.bind(logger_1.logger) : false,
            });
        }
        return database;
    };
})();
//# sourceMappingURL=db.js.map