"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startFakeWebsite = void 0;
const execa_1 = __importDefault(require("execa"));
const path_1 = require("path");
const logger_1 = require("../logger");
const startFakeWebsite = (bindAddress) => {
    const script = (0, path_1.join)(__dirname, '../../fake-website/server.mjs');
    const fakeWebsiteProcess = execa_1.default.node(script, [bindAddress], {
        stdio: 'ignore',
    });
    fakeWebsiteProcess.on('error', (error) => {
        logger_1.logger.error(error.message);
        fakeWebsiteProcess.kill(1);
    });
    return fakeWebsiteProcess;
};
exports.startFakeWebsite = startFakeWebsite;
//# sourceMappingURL=fake-webstie.js.map